Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.graph.connector.base
Class PathNode.Changes

    java.lang.Object
      org.modeshape.graph.connector.base.PathNode.Changes

Enclosing class:
  PathNode

    protected class PathNode.Changes

extends Object

Constructor Summary
`protected` | `PathNode.Changes()`

Method Summary
`List<Path.Segment>` | `getChildren(boolean createIfMissing)`
`Path.Segment` | `getName()`
`Path` | `getParent()`
`Map<Name,Property>` | `getProperties(boolean createIfMissing)`
`List<Path.Segment>` | `getUnmodifiableChildren()`
`Map<Name,Property>` | `getUnmodifiableProperties()`
`void` | `setChildren(List<Path.Segment> children)`
`void` | `setName(Path.Segment name)`
`void` | `setParent(Path parent)`
`void` | `setProperties(Map<Name,Property> properties)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PathNode.Changes

    protected PathNode.Changes()

Method Detail

### getParent

    public Path getParent()

### setParent

    public void setParent(Path parent)

### getName

    public Path.Segment getName()

### setName

    public void setName(Path.Segment name)

### getProperties

    public Map<Name,Property> getProperties(boolean createIfMissing)

### getUnmodifiableProperties

    public Map<Name,Property> getUnmodifiableProperties()

### setProperties

    public void setProperties(Map<Name,Property> properties)

### getChildren

    public List<Path.Segment> getChildren(boolean createIfMissing)

### getUnmodifiableChildren

    public List<Path.Segment> getUnmodifiableChildren()

### setChildren

    public void setChildren(List<Path.Segment> children)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.